GNU bug report logs - #8114
macros fail in emacs 23.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: <johnc@HIDDEN>; merged with #7046, #10461; dated Fri, 25 Feb 2011 03:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 7046 8114 10461. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #7526 from all other report(s). Request was from Johan Bockgard <bojohan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 7046 7526 8114. Request was from Johan Bockgård <bojohan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8114 <at> debbugs.gnu.org:


Received: (at 8114) by debbugs.gnu.org; 22 Mar 2011 14:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 10:04:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q22C9-0003Ta-P3
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2011 10:04:25 -0400
Received: from smtprelay-h21.telenor.se ([195.54.99.196])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <bojohan@HIDDEN>)
	id 1Q22C6-0003TD-7b; Tue, 22 Mar 2011 10:04:23 -0400
Received: from iph2.telenor.se (iph2.telenor.se [195.54.127.133])
	by smtprelay-h21.telenor.se (Postfix) with ESMTP id 6B4D9140B0;
	Tue, 22 Mar 2011 15:04:16 +0100 (CET)
X-SMTPAUTH-B2: [bocjoh]
X-SENDER-IP: [85.229.2.199]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AiI3AC9JiE1V5QLHPGdsb2JhbAClOgsBAQEBNzKITbpehWgE
X-IronPort-AV: E=Sophos;i="4.63,224,1299452400"; d="scan'208";a="381223849"
Received: from c-c702e555.04-211-6c6b701.cust.bredbandsbolaget.se (HELO
	muon.localdomain) ([85.229.2.199])
	by iph2.telenor.se with ESMTP; 22 Mar 2011 15:04:16 +0100
Received: by muon.localdomain (Postfix, from userid 1000)
	id 0A7D8484356; Tue, 22 Mar 2011 15:04:14 +0100 (CET)
From: =?utf-8?Q?Johan_Bockg=C3=A5rd?= <bojohan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8114: macros fail in emacs 23.1
References: <20110224195045.6813460112e1e451111e8106817db522.6e72ddd86f.wbe@HIDDEN>
	<g5sjvc3g20.fsf@HIDDEN> <831v2wsesx.fsf@HIDDEN>
Mail-Copies-To: never
Date: Tue, 22 Mar 2011 15:04:14 +0100
In-Reply-To: <831v2wsesx.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 25 Feb
	2011 10:23:42 +0200")
Message-ID: <8739mfxndt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 8114
Cc: Glenn Morris <rgm@HIDDEN>, 8114 <at> debbugs.gnu.org,
	johnc@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

merge 8114 7046
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

> Something related to scrolling, it seems: the unedited lines start on
> the second screenful.

See http://debbugs.gnu.org/7046#23




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8114; Package emacs. Full text available.

Message received at 8114 <at> debbugs.gnu.org:


Received: (at 8114) by debbugs.gnu.org; 25 Feb 2011 08:24:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 25 03:24:16 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PssyF-0002g8-W1
	for submit <at> debbugs.gnu.org; Fri, 25 Feb 2011 03:24:16 -0500
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1PssyD-0002fv-5u
	for 8114 <at> debbugs.gnu.org; Fri, 25 Feb 2011 03:24:13 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0LH500K00Z10OB00@HIDDEN> for
	8114 <at> debbugs.gnu.org; Fri, 25 Feb 2011 10:23:40 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.124.53.157]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0LH500K3EZBEL560@HIDDEN>;
	Fri, 25 Feb 2011 10:23:40 +0200 (IST)
Date: Fri, 25 Feb 2011 10:23:42 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#8114: macros fail in emacs 23.1
In-reply-to: <g5sjvc3g20.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <831v2wsesx.fsf@HIDDEN>
References: <20110224195045.6813460112e1e451111e8106817db522.6e72ddd86f.wbe@HIDDEN>
	<g5sjvc3g20.fsf@HIDDEN>
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 8114
Cc: 8114 <at> debbugs.gnu.org, johnc@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Thu, 24 Feb 2011 23:15:51 -0500
> Cc: 8114 <at> debbugs.gnu.org
> 
> ESC <                   ;; beginning-of-buffer
> ^X (     ;; start recording keyboard macro
> 
> C-s                     ;; isearch-forward
> SPC                     ;; self-insert-command
> C-e                     ;; move-end-of-line
> C-b                     ;; backward-char
> xyz                     ;; self-insert-command * 3
> SPC                     ;; self-insert-command
> C-a                     ;; move-beginning-of-line
> C-n                     ;; next-line
> 
> ^X )                 ;; end recording
> 
> ^X e                    ;; run the macro one time
> ^X e                    ;; run the macro one time
> C-u 1 5 0 ^X e          ;; run the macro 150 times
> 
> The expected outcome is that each line in the buffer should now look
> like this:
> a xyz b
> 
> But many of the lines still look as they did at the beginning, namely:
> a b
> .
> Note that the incorrect lines are intertwingled with the
> correctly-edited lines, up to the end of the buffer.

Something related to scrolling, it seems: the unedited lines start on
the second screenful.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8114; Package emacs. Full text available.

Message received at 8114 <at> debbugs.gnu.org:


Received: (at 8114) by debbugs.gnu.org; 25 Feb 2011 04:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 24 23:16:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Psp5z-0005Y5-EY
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 23:16:00 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Psp5x-0005Xs-HW
	for 8114 <at> debbugs.gnu.org; Thu, 24 Feb 2011 23:15:58 -0500
Received: from localhost ([127.0.0.1]:45138)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Psp5r-0004gj-G6; Thu, 24 Feb 2011 23:15:51 -0500
From: Glenn Morris <rgm@HIDDEN>
To: johnc@HIDDEN
Subject: Re: bug#8114: macros fail in emacs 23.1
References: <20110224195045.6813460112e1e451111e8106817db522.6e72ddd86f.wbe@HIDDEN>
X-Spook: csystems Waco, Texas Al-Qaeda NATO S Box Chobetsu
X-Ran: {dh2=z"`M8S%6ifqk|9o(s?8=}EeFpSo;tz+P-S\r`]ru1Ihm8DlAd=d{Ik^#,q0TJjl1"
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 24 Feb 2011 23:15:51 -0500
In-Reply-To: <20110224195045.6813460112e1e451111e8106817db522.6e72ddd86f.wbe@HIDDEN>
	(johnc@HIDDEN's message of "Thu, 24 Feb 2011 19:50:45
	-0700")
Message-ID: <g5sjvc3g20.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8114
Cc: 8114 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)


It looks like this bug report was submitted via bcc?
Please try not to do that, since if you do the bug tracking system has
no way of knowing which package (Emacs in this case) your bug report is
about. Or put "Package: emacs" at the start of the message body.

I have reassigned it to the emacs package. The full text of the original
report is below.

--------

%emacs -Q
M-x version
GNU Emacs 23.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0) of
2011-02-24 on hostnm01

<delete all text, so you are starting from an empty scratch buffer>

insert this line once (a <space> b):
a b

then copy it until the buffer contains 150 copies of that line:
a b
a b
a b
 .
 .
 .

ESC <                   ;; beginning-of-buffer
^X (     ;; start recording keyboard macro

C-s                     ;; isearch-forward
SPC                     ;; self-insert-command
C-e                     ;; move-end-of-line
C-b                     ;; backward-char
xyz                     ;; self-insert-command * 3
SPC                     ;; self-insert-command
C-a                     ;; move-beginning-of-line
C-n                     ;; next-line

^X )                 ;; end recording

^X e                    ;; run the macro one time
^X e                    ;; run the macro one time
C-u 1 5 0 ^X e          ;; run the macro 150 times

The expected outcome is that each line in the buffer should now look
like this:
a xyz b

But many of the lines still look as they did at the beginning, namely:
a b
.
Note that the incorrect lines are intertwingled with the
correctly-edited lines, up to the end of the buffer.

\ | /
 ===   John Crown  johnc@HIDDEN




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8114; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Feb 2011 03:04:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 24 22:04:44 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Psnz1-0003ym-Pn
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 22:04:44 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <johnc@HIDDEN>) id 1Psnlk-0002pz-Jn
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 21:51:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <johnc@HIDDEN>) id 1Psnle-00066p-RN
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 21:50:55 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:45890)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <johnc@HIDDEN>) id 1Psnle-00066l-PA
	for submit <at> debbugs.gnu.org; Thu, 24 Feb 2011 21:50:54 -0500
Received: from [140.186.70.92] (port=47264 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Psnld-00060o-QH
	for bug-gnu-emacs@HIDDEN; Thu, 24 Feb 2011 21:50:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <johnc@HIDDEN>) id 1Psnlc-00066V-AH
	for bug-gnu-emacs@HIDDEN; Thu, 24 Feb 2011 21:50:53 -0500
Received: from smtpoutwbe02.prod.mesa1.secureserver.net
	([208.109.78.113]:47244) by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <johnc@HIDDEN>) id 1Psnlb-00066J-VO
	for bug-gnu-emacs@HIDDEN; Thu, 24 Feb 2011 21:50:52 -0500
Received: (qmail 25521 invoked from network); 25 Feb 2011 02:50:45 -0000
Received: from unknown (HELO p3plgemwbe01-07.prod.phx3.secureserver.net)
	(72.167.218.7) by smtpoutwbe02.prod.mesa1.secureserver.net with SMTP;
	25 Feb 2011 02:50:45 -0000
Received: (qmail 28858 invoked by uid 99); 25 Feb 2011 02:50:45 -0000
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Originating-IP: 71.117.241.29
User-Agent: Web-Based Email 5.4.01
Message-Id: <20110224195045.6813460112e1e451111e8106817db522.6e72ddd86f.wbe@HIDDEN>
From: <johnc@HIDDEN>
To: 
Subject: macros fail in emacs 23.1
Date: Thu, 24 Feb 2011 19:50:45 -0700
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 24 Feb 2011 22:04:41 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


%emacs -Q
M-x version
GNU Emacs 23.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0) of
2011-02-24 on hostnm01

<delete all text, so you are starting from an empty scratch buffer>

insert this line once (a <space> b):
a b

then copy it until the buffer contains 150 copies of that line:
a b
a b
a b
 .
 .
 .

ESC <                   ;; beginning-of-buffer
^X (     ;; start recording keyboard macro

C-s                     ;; isearch-forward
SPC                     ;; self-insert-command
C-e                     ;; move-end-of-line
C-b                     ;; backward-char
xyz                     ;; self-insert-command * 3
SPC                     ;; self-insert-command
C-a                     ;; move-beginning-of-line
C-n                     ;; next-line

^X )                 ;; end recording

^X e                    ;; run the macro one time
^X e                    ;; run the macro one time
C-u 1 5 0 ^X e          ;; run the macro 150 times

The expected outcome is that each line in the buffer should now look
like this:
a xyz b

But many of the lines still look as they did at the beginning, namely:
a b
=2E
Note that the incorrect lines are intertwingled with the
correctly-edited lines, up to the end of the buffer.

\ | /
 =3D=3D=3D   John Crown  johnc@HIDDEN








Acknowledgement sent to <johnc@HIDDEN>:
New bug report received and forwarded. Copy sent to help-debbugs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, help-debbugs@HIDDEN:
bug#8114; Package debbugs.gnu.org. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Jun 2016 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.